Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.pkg.manifest
Class OdfFileEntry

    java.lang.Object
      org.odftoolkit.odfdom.pkg.manifest.OdfFileEntry

    public class OdfFileEntry

extends Object

Constructor Summary
`OdfFileEntry()`
`OdfFileEntry(String path, String mediaType)`
`OdfFileEntry(String path, String mediaType, int size)`

Method Summary
`EncryptionData` | `getEncryptionData()`
`String` | `getMediaType()`
`static String` | `getMediaType(String fileRef)` Get the media type from the given file reference
`String` | `getPath()`
`int` | `getSize()` get the size or -1 if not set
`void` | `setEncryptionData(EncryptionData encryptionData)`
`void` | `setMediaType(String mediaType)`
`void` | `setPath(String path)`
`void` | `setSize(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdfFileEntry

    public OdfFileEntry()

### OdfFileEntry

    public OdfFileEntry(String path,
                        String mediaType)

### OdfFileEntry

    public OdfFileEntry(String path,
                        String mediaType,
                        int size)

Method Detail

### setPath

    public void setPath(String path)

### getPath

    public String getPath()

### setMediaType

    public void setMediaType(String mediaType)

### getMediaType

    public String getMediaType()

### getMediaType

    public static String getMediaType(String fileRef)

  Get the media type from the given file reference

  Parameters:
    `fileRef` - the reference to the file the media type is questioned
  Returns:
    the mediaType string of the given file reference

### setSize

    public void setSize(int size)

### getSize

    public int getSize()

  get the size or -1 if not set

### setEncryptionData

    public void setEncryptionData(EncryptionData encryptionData)

### getEncryptionData

    public EncryptionData getEncryptionData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.